# avoid double-inclusion
ifndef ARCH_SPEC_EXPAT
ARCH_SPEC_EXPAT=expat

# arch_spec_expat.mk
#
# Support for use of the expat library
#
# This file must be included *before* standard.mk
#

extpkg := expat

ifndef EXPAT_DIR
	arch_spec_warning:=\
	"Environment variable EXPAT_DIR not setup"
endif

EXPAT_LIBS = -lexpat

include SoftRelTools/specialize_arch_spec.mk

ifndef EXPAT_LIB
  override CPPFLAGS := -I$(EXPAT_DIR)/include $(CPPFLAGS)
  override LDFLAGS  := -L$(EXPAT_DIR)/lib $(LDFLAGS)
else
  override CPPFLAGS := -I$(EXPAT_INC) $(CPPFLAGS)
  override LDFLAGS  := -L$(EXPAT_LIB) $(LDFLAGS)
endif

override BINLIBS += $(EXPAT_LIBS)

endif
