# avoid double-inclusion
ifndef ARCH_SPEC_OSDDS
ARCH_SPEC_OSDDS=osdds

#
# arch_spec_osdds.mk
#
# Definitions for using OpenSplice DDS.
#

extpkg := osdds

DDSIDL_COMPILE = $(OSDDS_DIR)/bin/idlpp
DDSIDL_COMPILE_OPTIONS = -S

OSPLICE_LIBS=-lddsdatabase -ldcpsgapi -ldcpssacpp -lddsos -lddsutil -lddsserialization -lddsuser -lddsosnet -lddskernel -lddsconf -lddsconfparser

include SoftRelTools/specialize_arch_spec.mk

OSPLICE_EXTRA_INCLUDES := $(foreach extraPkg, $(DDSIDL_EXTRA_INCLUDES) rms, \
    -I$(SRT_PRIVATE_CONTEXT)/include/$(extraPkg) \
    -I$(SRT_PUBLIC_CONTEXT)/include/$(extraPkg))

override CPPFLAGS := $(CPPFLAGS) -I$(OSDDS_DIR)/include/dcps/C++/SACPP $(OSPLICE_EXTRA_INCLUDES)
override LDFLAGS  := -L$(OSDDS_DIR)/lib $(LDFLAGS)
override BINLIBS  += $(OSPLICE_LIBS)

endif

include SoftRelTools/arch_spec_osddssimd.mk

