# 
# Definitions for using OpenSplice DDS SimD library
#
ifndef ARCH_SPEC_OSDDSSIMD
ARCH_SPEC_OSDDSSIMD=osddssimd

extpkg := osddssimd

OSDDSSIMD_DIR_DEFAULT=/nova/ups/osddssimd/v0_9_1/Linux64bit-GCC_4_1_2

ifndef OSDDSSIMD_DIR
	arch_spec_warning:=\
	"Using default value OS DDS  SimD = $(OSDDSSIMD_DIR_DEFAULT)"
	OSDDSSIMD_DIR = $(OSDDSSIMD_DIR_DEFAULT)
endif
ifndef OSDDSSIMD_INCLUDE
	OSDDSSIMD_INCLUDE = $(OSDDSSIMD_DIR)/include
endif
ifndef OSDDSSIMD_LIB
	OSDDSSIMD_LIB = $(OSDDSSIMD_DIR)/lib
endif

OSDDSSIMD_LIBES = -lSimD

include SoftRelTools/specialize_arch_spec.mk

override CPPFLAGS := -I$(OSDDSSIMD_INCLUDE) $(CPPFLAGS)
override LDFLAGS  := -L$(OSDDSSIMD_LIB) $(LDFLAGS)
override BINLIBS  += $(OSDDSSIMD_LIBES)

endif
