#ifndef CLUSTERINFO__H
#define CLUSTERINFO__H
struct clusterInfo{
    unsigned nx,ny;
    unsigned adc;
};

clusterInfo CalcCluster(const novaddt::HitList& slice){
    clusterInfo c;
    //calculate total slice ADC
       c.adc=0;
       c.nx=0; c.ny=0;
       for(auto const& hit : slice){
          c.adc+=hit.ADC().val;
          switch(hit.View().val){
               case 1: ++c.nx; break;
               case 2: ++c.ny; break;
          }
       }
       return c;
 
}
#endif
